package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkRoundMatter;
import com.ruoyi.system.domain.task.TkRoundMatterExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkRoundMatterMapper {
    long countByExample(TkRoundMatterExample example);

    int deleteByExample(TkRoundMatterExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkRoundMatter record);

    int insertSelective(TkRoundMatter record);

    List<TkRoundMatter> selectByExample(TkRoundMatterExample example);

    TkRoundMatter selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkRoundMatter record, @Param("example") TkRoundMatterExample example);

    int updateByExample(@Param("record") TkRoundMatter record, @Param("example") TkRoundMatterExample example);

    int updateByPrimaryKeySelective(TkRoundMatter record);

    int updateByPrimaryKey(TkRoundMatter record);
}